### Function

# Template Expr new_simple

#### Declaration

    TmplExpr*
    tmpl_expr_new_simple (
      TmplExprType type,
      TmplExpr* left,
      TmplExpr* right
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `TmplExprType`

  No description available.

`left`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

`right`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `TmplExpr`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.